using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenterApi.BLL
{
    public partial class T_Bus_WorkOrder_GovernmentServiceWO_Map
    {
        private readonly DAL.T_Bus_WorkOrder_GovernmentServiceWO_Map dal = new DAL.T_Bus_WorkOrder_GovernmentServiceWO_Map();
        public T_Bus_WorkOrder_GovernmentServiceWO_Map()
        { }
        #region  BasicMethod

        /// <summary>
        /// 得到最大ID
        /// </summary>
        public int GetMaxId()
        {
            return dal.GetMaxId();
        }

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            return dal.Exists(F_Id);
        }

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool ExistsByGSWorkOrderId(string F_GSWorkOrderId)
        {
            return dal.ExistsByGSWorkOrderId(F_GSWorkOrderId);
        }

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool ExistsByWorkOrderId(string F_WorkOrderId)
        {
            return dal.ExistsByWorkOrderId(F_WorkOrderId);
        }

        /// <summary>
        /// 增加一条数据
        /// </summary>
        public int Add(Model.T_Bus_WorkOrder_GovernmentServiceWO_Map model)
        {
            return dal.Add(model);
        }

        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(Model.T_Bus_WorkOrder_GovernmentServiceWO_Map model)
        {
            return dal.Update(model);
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            return dal.Delete(F_Id);
        }
        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            return dal.DeleteList(F_Idlist);
        }

        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public Model.T_Bus_WorkOrder_GovernmentServiceWO_Map GetModel(int F_Id)
        {

            return dal.GetModel(F_Id);
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            return dal.GetList(strWhere);
        }
        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            return dal.GetList(Top, strWhere, filedOrder);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_Bus_WorkOrder_GovernmentServiceWO_Map> GetModelList(string strWhere)
        {
            DataSet ds = dal.GetList(strWhere);
            return DataTableToList(ds.Tables[0]);
        }
        /// <summary>
        /// 获得数据列表
        /// </summary>
        public List<Model.T_Bus_WorkOrder_GovernmentServiceWO_Map> DataTableToList(DataTable dt)
        {
            List<Model.T_Bus_WorkOrder_GovernmentServiceWO_Map> modelList = new List<Model.T_Bus_WorkOrder_GovernmentServiceWO_Map>();
            int rowsCount = dt.Rows.Count;
            if (rowsCount > 0)
            {
                Model.T_Bus_WorkOrder_GovernmentServiceWO_Map model;
                for (int n = 0; n < rowsCount; n++)
                {
                    model = dal.DataRowToModel(dt.Rows[n]);
                    if (model != null)
                    {
                        modelList.Add(model);
                    }
                }
            }
            return modelList;
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetAllList()
        {
            return GetList("");
        }

        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            return dal.GetRecordCount(strWhere);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            return dal.GetListByPage(strWhere, orderby, startIndex, endIndex);
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        //public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        //{
        //return dal.GetList(PageSize,PageIndex,strWhere);
        //}

        #endregion  BasicMethod
        #region  ExtensionMethod

        #endregion  ExtensionMethod
    }
}
